#include <iostream>
#include <algorithm>
using namespace std;
int main()
{
    int a1,a2;
    char c[2];
    cin >> c >> a1 >> a2;
    
    if(a1-a2 != 0 && abs(a1-a2) != 1) 
    {
        cout << "nemoguce";
        return 1;
    }
    
    if(a2>a1) swap(a1,a2);
    
    string t = "";
    for(int i = 0; i < a2; i++)
    {
        t.push_back(c[0]);
        t.push_back(c[1]);
    }
    
    if(a1>a2) t.push_back(c[0]);
    
    cout << t;
    
    return 0;
}